Skip to main content
POST
/
filters
Create filter
curl --request POST \
  --url https://api.getenso.ai/filters \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Overdue invoices",
  "model": "Invoice",
  "filters": {}
}
'
import requests

url = "https://api.getenso.ai/filters"

payload = {
    "name": "Overdue invoices",
    "model": "Invoice",
    "filters": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: 'Overdue invoices', model: 'Invoice', filters: {}})
};

fetch('https://api.getenso.ai/filters', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "message": "Success",
  "data": {}
}
{
  "status": "error",
  "message": "Forbidden",
  "errors": [
    {}
  ]
}
Not accessible by SystemUser role. Requires Admin.

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Body

application/json
name
string
required
Example:

"Overdue invoices"

model
string
required
Example:

"Invoice"

filters
object

Response

Success

status
string
Example:

"success"

message
string
Example:

"Success"

data
object | null

Endpoint-specific payload (object, array, or null)